Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.faults
Class PortletStateChangeRequiredException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.rmi.RemoteException
                      com.bea.wsrp.faults.TransportException
                          com.bea.wsrp.faults.PortletStateChangeRequiredException

All Implemented Interfaces
  Serializable, Cloneable

    public abstract class PortletStateChangeRequiredException

extends TransportException

This exception is thrown when a portlet needs to modify its persistent state, but has been prevented from doing so (for example, due to security).

See Also
  Serialized Form

Field Summary
`static String` | `faultType`

Fields inherited from class java.rmi.RemoteException
`detail`

Constructor Summary
`` | `PortletStateChangeRequiredException()`
`` | `PortletStateChangeRequiredException(String message)`
`protected` | `PortletStateChangeRequiredException(String message, Throwable cause)`

Method Summary
`String` | `faultType()`
`XmlObject` | `getFaultElement()`

Methods inherited from class com.bea.wsrp.faults.TransportException
`clone, getFault, getFaultCode, getMessage, initCause, setFault`

Methods inherited from class java.rmi.RemoteException
`getCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### faultType

    public static final String faultType

See Also
  Constants Summary

Constructor Detail

### PortletStateChangeRequiredException

    public PortletStateChangeRequiredException()

### PortletStateChangeRequiredException

    public PortletStateChangeRequiredException(String message)

### PortletStateChangeRequiredException

    protected PortletStateChangeRequiredException(String message,
                                                  Throwable cause)

Method Detail

### faultType

    public String faultType()

  Overrides:
    `faultType` in class `TransportException`

### getFaultElement

    public XmlObject getFaultElement()

  Overrides:
    `getFaultElement` in class `TransportException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved